<?php


// Run cron jobs for the current blog.
// (Use switch_to_blog() before calling this). 
function noblogs_run_cron_for_current_blog() {
  $crons = _get_cron_array();
  if ($crons === false) {
    return;
  }

  $local_time = time();

  foreach ($crons as $timestamp => $cronhooks) {
    if ($timestamp > $local_time)
      continue;
    foreach ($cronhooks as $hook => $keys) {
      foreach ($keys as $k => $v) {
        $args_str = implode(', ', $v['args']);
        echo "  {$k} -> {$hook} ({$args_str})\n";
        $schedule = $v['schedule'];
        if ($schedule != false) {
          $new_args = array($timestamp, $schedule, $hook, $v['args']);
          call_user_func_array('wp_reschedule_event', $new_args);
        }
        wp_unschedule_event($timestamp, $hook, $v['args']);
        do_action_ref_array($hook, $v['args']);
      }
    }
  }
}


